Namespaces
EBOOKDocument.cpp File Reference
`#include "config.h"`
`#include <algorithm>`
`#include <cstring>`
`#include <libe-book/libe-book.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include <libxml/HTMLparser.h>`
`#include <libxml/xmlreader.h>`
`#include "libebook_utils.h"`
`#include "libebook_xml.h"`
`#include "EBOOKHTMLToken.h"`
`#include "EBOOKOPFToken.h"`
`#include "EPubToken.h"`
`#include "FictionBook2Parser.h"`
`#include "FictionBook2Token.h"`
`#include "SoftBookParser.h"`
`#include "BBeBParser.h"`
`#include "PalmDocParser.h"`
`#include "PluckerParser.h"`
`#include "PeanutPressParser.h"`
`#include "QiOOParser.h"`
`#include "TCRParser.h"`
`#include "TealDocParser.h"`
`#include "ZTXTParser.h"`
`#include "ZVRParser.h"`

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ checkFun

CheckTypeFun_t checkFun

## ◆ probeFun

ProbeFun_t probeFun

## ◆ type

EBOOKDocument::Type type

Referenced by libebook::MobiPocketParser::checkType(), libebook::PalmDocParser::checkType(), libebook::PeanutPressParser::checkType(), libebook::PluckerParser::checkType(), libebook::TealDocParser::checkType(), libebook::ZTXTParser::checkType(), libebook::BBeBCollector::collectImageData(), libebook::SoftBookResourceDirImpl::findResourceByType(), libebook::SoftBookResourceDirImpl::getResourceByType(), libebook::PDBParser::PDBParser(), and libebook::BBeBParser::readObject().